Koozali.org formerly Contribs.org

smeserver-freepbx

Offline Bud

  • *
  • 487
Re: smeserver-freepbx
« Reply #60 on: May 05, 2010, 03:14:04 PM »
thanks johnp

waited and now after the command i get


[root@sme ~]# yum --enablerepo=smecontribs --enablerepo=fws install smeserver-freepbx dahdi-linux-kmdl-$(uname -r)
Loading "protect-packages" plugin
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Loading "smeserver" plugin
Setting up Install Process
Setting up repositories
smecontribs               100% |=========================| 1.9 kB    00:00
fws                       100% |=========================|  951 B    00:00
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Excluding Packages from CentOS - updates
Finished
Excluding Packages from CentOS - os
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package smeserver-freepbx.noarch 0:0.1-26.el4.sme set to be updated
---> Downloading header for dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp to pack into transaction set.
dahdi-linux-kmdl-2.6.9-89 100% |=========================| 9.8 kB    00:00
---> Package dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp.i686 0:2.2.0.2-65.el4 set to be updated
--> Running transaction check
--> Processing Dependency: dahdi-tools for package: smeserver-freepbx
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Processing Dependency: sox for package: smeserver-freepbx
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Processing Dependency: dahdi-linux = 2.2.0.2-65.el4 for package: dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp
--> Processing Dependency: dahdi-linux for package: smeserver-freepbx
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package dahdi-tools.i386 1:2.2.1.1-65.el4 set to be updated
---> Package dahdi-linux.i386 0:2.2.1.1-67.el4 set to be updated
---> Package asterisk-addons14.i386 1:1.4.10-25.el4 set to be updated
---> Package sox.i386 0:12.17.5-3 set to be updated
---> Package asterisk14.i386 1:1.4.30-90.el4 set to be updated
--> Running transaction check
--> Processing Dependency: libvorbis.so.0 for package: sox
--> Processing Dependency: asterisk-moh-opsound-wav for package: asterisk14
--> Processing Dependency: libvorbisenc.so.2 for package: asterisk14
--> Processing Dependency: libradiusclient-ng.so.2 for package: asterisk14
--> Processing Dependency: libpri.so.1.4 for package: asterisk14
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: asterisk14
--> Processing Dependency: libvorbisfile.so.3 for package: sox
--> Processing Dependency: libodbc.so.1 for package: asterisk14
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4) for package: asterisk14
--> Processing Dependency: libtonezone.so.2.0 for package: asterisk14
--> Processing Dependency: libogg.so.0 for package: sox
--> Processing Dependency: libasound.so.2 for package: asterisk14
--> Processing Dependency: libgsm.so.1 for package: asterisk14
--> Processing Dependency: asterisk-core-sounds-en-gsm for package: asterisk14
--> Processing Dependency: libvorbis.so.0 for package: asterisk14
--> Processing Dependency: dahdi-linux-kmdl-2.2.1.1-67.el4 for package: dahdi-linux
--> Processing Dependency: libspeexdsp.so.1 for package: asterisk14
--> Processing Dependency: libogg.so.0 for package: asterisk14
--> Processing Dependency: libiksemel.so.3 for package: asterisk14
--> Processing Dependency: libspeex.so.1 for package: asterisk14
--> Processing Dependency: libvorbisenc.so.2 for package: sox
--> Processing Dependency: dahdi-linux = 2.2.0.2-65.el4 for package: dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package asterisk-moh-opsound-wav.noarch 0:2.03-56 set to be updated
---> Package libpri1.i386 1:1.4.10.2-25.el4 set to be updated
---> Package libvorbis.i386 1:1.1.0-3.el4_8.3 set to be updated
---> Package libradiusclient-ng2.i386 0:0.5.6-0.el4 set to be updated
---> Package dahdi-linux-kmdl-2.6.9-89.0.23.EL.i686 0:2.2.1.1-67.el4 set to be updated
---> Package libtonezone2.i386 1:2.2.1.1-65.el4 set to be updated
---> Package asterisk-core-sounds-en-gsm.noarch 0:1.4.17-60 set to be updated
---> Package libogg.i386 2:1.1.2-1 set to be updated
---> Package iksemel.i386 0:1.4-1.el4.rf set to be updated
---> Package alsa-lib.i386 0:1.0.6-5.RHEL4 set to be updated
---> Package libgsm1.i386 0:1.0.13-2.el4 set to be updated
---> Package unixODBC.i386 0:2.2.11-1.RHEL4.1 set to be updated
---> Package speex.i386 0:1.2-0.11.rc1.el4 set to be updated
--> Running transaction check
--> Processing Dependency: libgpg-error.so.0 for package: iksemel
--> Processing Dependency: libgnutls.so.11 for package: iksemel
--> Processing Dependency: libgcrypt.so.11 for package: iksemel
--> Processing Dependency: dahdi-linux = 2.2.0.2-65.el4 for package: dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp
--> Processing Dependency: libgnutls.so.11(GNUTLS_REL_1_0_9) for package: iksemel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libgcrypt.i386 0:1.2.0-3 set to be updated
---> Package libgpg-error.i386 0:1.0-1 set to be updated
---> Package gnutls.i386 0:1.0.20-4.el4_8.7 set to be updated
--> Running transaction check
--> Processing Dependency: dahdi-linux = 2.2.0.2-65.el4 for package: dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp
--> Finished Dependency Resolution
Error: Missing Dependency: dahdi-linux = 2.2.0.2-65.el4 is needed by package dahdi-linux-kmdl-2.6.9-89.0.16.ELsmp

??????  :?

Offline johnp

  • ****
  • 312
Re: smeserver-freepbx
« Reply #61 on: May 05, 2010, 03:24:46 PM »
You might want to try the atrpm route

Offline Bud

  • *
  • 487
Re: smeserver-freepbx
« Reply #62 on: May 05, 2010, 03:41:31 PM »
thanks again johnp

did what you said and all seemed to be ok and installed

now when i want to install the freepbx rpm's this is what i get

freepbx-src-2.5.1-1.el4.sme.noarch.rpm  smeserver-freepbx-0.1-26.el4.sme.noarch.rpm

[root@sme freepbx]# yum localinstall *.rpm
Loading "protect-packages" plugin
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Loading "smeserver" plugin
Setting up Local Package Process
Examining freepbx-src-2.5.1-1.el4.sme.noarch.rpm: freepbx-src - 2.5.1-1.el4.sme.noarch
Examining smeserver-freepbx-0.1-26.el4.sme.noarch.rpm: smeserver-freepbx - 0.1-26.el4.sme.noarch
Marking smeserver-freepbx-0.1-26.el4.sme.noarch.rpm to be installed
freepbx-src-2.5.1-1.el4.sme.noarch.rpm: does not update installed package.
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package smeserver-freepbx.noarch 0:0.1-26.el4.sme set to be updated
--> Running transaction check
warning: only V3 signatures can be verified, skipping V4 signature
warning: only V3 signatures can be verified, skipping V4 signature
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
--> Processing Dependency: sox for package: smeserver-freepbx
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package sox.i386 0:12.17.5-3 set to be updated
--> Running transaction check
--> Processing Dependency: libvorbis.so.0 for package: sox
--> Processing Dependency: libvorbisfile.so.3 for package: sox
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Processing Dependency: libvorbisenc.so.2 for package: sox
--> Processing Dependency: libogg.so.0 for package: sox
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libvorbis.i386 1:1.1.0-3.el4_8.3 set to be updated
---> Package libogg.i386 2:1.1.2-1 set to be updated
--> Running transaction check
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Finished Dependency Resolution
Error: Missing Dependency: /usr/sbin/asterisk is needed by package smeserver-freepbx
Error: Missing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so is needed by package smeserver-freepbx

what now?

Offline Bud

  • *
  • 487
Re: smeserver-freepbx
« Reply #63 on: May 06, 2010, 05:42:45 AM »
please guys any ideas on my freepbx installation problem

when i try to install the freepbx contribs: freepbx-src-2.5.1-1.el4.sme.noarch.rpm  and smeserver-freepbx-0.1-26.el4.sme.noarch.rpm i get an error

[root@sme freepbx]# yum localinstall *.rpm
Loading "protect-packages" plugin
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Loading "smeserver" plugin
Setting up Local Package Process
Examining freepbx-src-2.5.1-1.el4.sme.noarch.rpm: freepbx-src - 2.5.1-1.el4.sme.noarch
Examining smeserver-freepbx-0.1-26.el4.sme.noarch.rpm: smeserver-freepbx - 0.1-26.el4.sme.noarch
Marking smeserver-freepbx-0.1-26.el4.sme.noarch.rpm to be installed
freepbx-src-2.5.1-1.el4.sme.noarch.rpm: does not update installed package.
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package smeserver-freepbx.noarch 0:0.1-26.el4.sme set to be updated
--> Running transaction check
warning: only V3 signatures can be verified, skipping V4 signature
warning: only V3 signatures can be verified, skipping V4 signature
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
--> Processing Dependency: sox for package: smeserver-freepbx
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package sox.i386 0:12.17.5-3 set to be updated
--> Running transaction check
--> Processing Dependency: libvorbis.so.0 for package: sox
--> Processing Dependency: libvorbisfile.so.3 for package: sox
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Processing Dependency: libvorbisenc.so.2 for package: sox
--> Processing Dependency: libogg.so.0 for package: sox
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libvorbis.i386 1:1.1.0-3.el4_8.3 set to be updated
---> Package libogg.i386 2:1.1.2-1 set to be updated
--> Running transaction check
--> Processing Dependency: /usr/sbin/asterisk for package: smeserver-freepbx
--> Processing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so for package: smeserver-freepbx
Importing Additional filelist information for dependency resolution
--> Finished Dependency Resolution
Error: Missing Dependency: /usr/sbin/asterisk is needed by package smeserver-freepbx
Error: Missing Dependency: /usr/lib/asterisk/modules/app_addon_sql_mysql.so is needed by package smeserver-freepbx

any ideas on what i must do to get this resolved  :-?
how do i resolve the Dependencies ?

Offline Daniel B.

  • *
  • 1,694
    • Firewall Services, la sécurité des réseaux
Re: smeserver-freepbx
« Reply #64 on: May 06, 2010, 11:08:42 AM »
The problem is that your trying to install local rpms without enabling the smecontribs repo. Of course it cannot work because smeserver-freepbx requires the asterisk-addons package. Just follow the installation instructions on the wiki:

Code: [Select]
yum --enablerepo=smecontribs install smeserver-freepbx

Regards, Daniel
C'est la fin du monde !!! :lol:

Offline Bud

  • *
  • 487
Re: smeserver-freepbx
« Reply #65 on: May 06, 2010, 01:17:43 PM »
Daniel thanks for your reply

did what you said and also " signal-event freepbx-update "

now when i go to " https://mysmeip/freepbx/admin " i get an error

FATAL ERROR
DELETE FROM notifications WHERE module = 'core' AND id = 'AMPDBPASS' [nativecode=1146 ** Table 'freepbxdb.notifications' doesn't exist]SQL -
DELETE FROM notifications WHERE module = 'core' AND id = 'AMPDBPASS'


 :?

Offline Daniel B.

  • *
  • 1,694
    • Firewall Services, la sécurité des réseaux
Re: smeserver-freepbx
« Reply #66 on: May 06, 2010, 01:22:21 PM »
Looks like you have rebooted your server before running the first signal-event freepbx-update (the signal-event post-upgrade && signal-event reboot isn't necessary at all for this contrib).

You have to re-install FreePBX like this:

Code: [Select]
rm -rf /opt/freepbx
signal-event freepbx-update
C'est la fin du monde !!! :lol:

Offline Bud

  • *
  • 487
Re: smeserver-freepbx
« Reply #67 on: May 06, 2010, 01:37:47 PM »
Thanks Daniel

did that but i get the same problem

Offline Daniel B.

  • *
  • 1,694
    • Firewall Services, la sécurité des réseaux
Re: smeserver-freepbx
« Reply #68 on: May 06, 2010, 01:41:43 PM »
So try removing everything as explained here: http://wiki.contribs.org/FreePBX#Uninstall (including running the cleanup script), and start over from scratch
C'est la fin du monde !!! :lol:

Offline Bud

  • *
  • 487
Re: smeserver-freepbx
« Reply #69 on: May 06, 2010, 01:58:44 PM »
Thank You Daniel

Did as you said: Uninstalled FreePBX and Reinstalled

All is OK and Running  :lol:

Sorry for the Noob Questions  :grin:

Much Appreciated

Re: smeserver-freepbx TDM400P
« Reply #70 on: August 09, 2010, 06:10:46 PM »
Hi guys,

I know this is a old post but I need some help with getting the Trunks on a TDM400P Wildcard with 3 x FXO modules working.
It seems like the card is recognised and installed in SME Server 7.5.1 but I cannot get the trunks to display in FOP, and calls cannot be made or received.

You will also notice it seems the modules are loaded as FXS.

Here are some details of my system and install.

I followed these instructions:
http://wiki.contribs.org/FreePBX
http://wiki.contribs.org/FreePBX/DAHDI

Used this to install:
yum --enablerepo=smecontribs --enablerepo=fws install smeserver-freepbx dahdi-linux-kmdl-$(uname -r)

uname -r
2.6.9-89.0.25.ELsmp


yum list smeserver-freepbx dahdi-linux-kmdl-$(uname -r)
Installed Packages
dahdi-linux-kmdl-2.6.9-89.0.25.ELsmp.i68 2.3.0-68.el4           installed       
smeserver-freepbx.noarch                 0.1-27.el4.sme         installed       


lspci
00:00.0 Host bridge: Intel Corporation 82875P/E7210 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82875P Processor to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
02:00.0 Ethernet controller: D-Link System Inc DL2000-based Gigabit Ethernet (rev 0c)
02:02.0 Communication controller: Tiger Jet Network Inc. Tiger3XX Modem/ISDN interface
02:06.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
02:07.0 RAID bus controller: Promise Technology, Inc. PDC20319 (FastTrak S150 TX4) (rev 02)


/etc/dahdi/modules
# Digium TDM400P: up to 4 analog ports
wctdm


dahdi_genconf

sed -i -e "s/from-pstn/from-zaptel/g" /etc/asterisk/dahdi-channels.conf


cat /etc/dahdi/system.conf
# Autogenerated by /usr/sbin/dahdi_genconf on Mon Aug  9 17:44:40 2010
# If you edit this file and execute /usr/sbin/dahdi_genconf again,
# your manual changes will be LOST.
# Dahdi Configuration File
#
# This file is parsed by the Dahdi Configurator, dahdi_cfg
#
# Span 1: WCTDM/4 "Wildcard TDM400P REV I Board 5" (MASTER)
# channel 1, WCTDM/4/0, no module.
fxsks=2
echocanceller=mg2,2
fxsks=3
echocanceller=mg2,3
fxsks=4
echocanceller=mg2,4

# Global data

loadzone   = us
defaultzone   = us


cat /etc/asterisk/dahdi-channels.conf
; Autogenerated by /usr/sbin/dahdi_genconf on Mon Aug  9 17:44:40 2010
; If you edit this file and execute /usr/sbin/dahdi_genconf again,
; your manual changes will be LOST.
; Dahdi Channels Configurations (chan_dahdi.conf)
;
; This is not intended to be a complete chan_dahdi.conf. Rather, it is intended
; to be #include-d by /etc/chan_dahdi.conf that will include the global settings
;

; Span 1: WCTDM/4 "Wildcard TDM400P REV I Board 5" (MASTER)
;;; line="2 WCTDM/4/1 FXSKS  (SWEC: MG2)"
signalling=fxs_ks
callerid=asreceived
group=0
context=from-zaptel
channel => 2
callerid=
group=
context=default

;;; line="3 WCTDM/4/2 FXSKS  (SWEC: MG2)"
signalling=fxs_ks
callerid=asreceived
group=0
context=from-zaptel
channel => 3
callerid=
group=
context=default

;;; line="4 WCTDM/4/3 FXSKS  (SWEC: MG2)"
signalling=fxs_ks
callerid=asreceived
group=0
context=from-zaptel
channel => 4
callerid=
group=
context=default


cat /etc/asterisk/chan_dahdi.conf
;
; Zapata telephony interface
;
; Configuration file

[trunkgroups]

[channels]

channel=2-4
language=en
context=from-zaptel
signalling=fxo_ks
rxwink=300              ; Atlas seems to use long (250ms) winks
;
; Whether or not to do distinctive ring detection on FXO lines
;
;usedistinctiveringdetection=yes
busydetect=yes
busycount=6
hanguponpolarityswitch=yes
usecallerid=yes
hidecallerid=no
callwaiting=yes
usecallingpres=yes
callwaitingcallerid=yes
threewaycalling=yes
transfer=yes
cancallforward=yes
callreturn=yes
echocancel=yes
echocancelwhenbridged=no
echotraining=800
rxgain=6.0
txgain=6.0
group=0
callgroup=1
pickupgroup=1
immediate=no

;faxdetect=both
faxdetect=incoming
;faxdetect=outgoing
;faxdetect=no

;Include genzaptelconf configs
#include dahdi-channels.conf

group=1

;Include AMP configs
#include chan_dahdi_additional.conf


cat /etc/asterisk/chan_dahdi_additional.conf
;--------------------------------------------------------------------------------;
; Do NOT edit this file as it is auto-generated by FreePBX. All modifications to ;
; this file must be done via the web gui. There are alternative files to make    ;
; custom modifications, details at: http://freepbx.org/configuration_files       ;
;--------------------------------------------------------------------------------;
;


/etc/init.d/dahdi restart
Unloading DAHDI hardware modules: ERROR: Module dahdi is in use
error
Loading DAHDI hardware modules:
  wctdm:                                                   [  OK  ]

Running dahdi_cfg:                                         [  OK  ]


This error is displayedin FreePBX Admin

Retrieve conf failed to copy file(s) from a module's agi-bin dir: copy(/usr/share/asterisk/agi-bin/list-item-remove.php): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/enumlookup.agi): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/user_login_out.agi): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/dialparties.agi): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/directory): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/recordingcheck): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/fixlocalprefix): failed to open stream: Permission denied
copy(/usr/share/asterisk/agi-bin/checksound.agi): failed to open stream: Permission denied


WOW, sorry to post so many lines but this is what I thought would show someone something I'm missing.

Any help would be greatly appreciated.

Ryan